/* Routine to generate figures for LaTeX from procedures */

#ifndef DRAWFIGS_H
#define DRAWFIGS_H

#include <stdio.h>

float frandom(void);
  /*
    Uniform random number in [0_1) */
    
float nrandom(void);
  /*
    Gaussian random number with mean 0 and variance 1. */

void gen_figure(
    char *name,
    float xmin, float xmax, 
    float ymin, float ymax,
    void draw_proc(FILE *f),
    int eps_format
  );
  /*
    Generates a Postscript file called <name>.ps or <name>.eps,
    containing a figure of given size (user coordinates) defined
    by the procedure draw_proc. */

#endif
