/* Prototype declarations that are missing in stdio.h, time.h: */

/****************************************************************************/
/* (C) Copyright 1993 Universidade Estadual de Campinas (UNICAMP)           */
/*                    Campinas, SP, Brazil                                  */
/*                                                                          */
/* This file can be freely distributed, modified, and used for any          */
/*   non-commercial purpose, provided that this copyright and authorship    */
/*   notice be included in any copy or derived version of this file.        */
/*                                                                          */
/* DISCLAIMER: This software is offered ``as is'', without any guarantee    */
/*   as to fitness for any particular purpose.  Neither the copyright       */
/*   holder nor the authors or their employers can be held responsible for  */
/*   any damages that may result from its use.                              */
/****************************************************************************/

#ifndef IOPROTOS_H
#define IOPROTOS_H

#include <stdio.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <time.h>

extern int printf(const char *, ...);

extern int fputc(int, FILE*);
extern int fputs(const char *, FILE*);
extern int fprintf(FILE *, const char *, ...);
extern int fclose(FILE *);
extern int fflush(FILE *);
extern int _flsbuf(unsigned char, FILE*);
extern int _filbuf(FILE *);

extern time_t time (time_t *);
struct tm *localtime(const time_t *);
extern int getrusage(int who, struct rusage *ru);

#endif
